- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
Sim::VisualData Class Reference

VisualData embeds information about the visualization of a physical object. More...

`#include <alrobotmodel.h>`

## Public Member Functions
| VisualData ()
| creates an empty VisualData, you should not use this. More...
virtual | ~VisualData ()
| destructor. More...
const std::string & | meshPath () const
| returns the relative path to the 3D representation of the Link. More...
const AL::Math::Transform & | meshTransform () const
| returns the transform between the link and the mesh provided by VisualData::meshPath() More...

## Public Attributes
class VisualDataImpl * | a_impl
| Private implementation. More...

## Detailed Description

VisualData embeds information about the visualization of a physical object.

Definition at line 505 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::VisualData::VisualData | ( |  | ) |

creates an empty VisualData, you should not use this.

Warning
  The VisualData being empty, every access to this object will throw.

virtual Sim::VisualData::~VisualData | ( |  | ) |
| virtual

destructor.

## Member Function Documentation

const std::string& Sim::VisualData::meshPath | ( |  | ) | const

returns the relative path to the 3D representation of the Link.

Remarks
  The root folder considered is 'simulator-sdk/share/alrobotmodel/meshes'. The meshes pointed this way are *.mesh files, made to be used with the free 3D Engine Ogre.

const AL::Math::Transform& Sim::VisualData::meshTransform | ( |  | ) | const

returns the transform between the link and the mesh provided by VisualData::meshPath()

## Member Data Documentation

class VisualDataImpl* Sim::VisualData::a_impl

Private implementation.

Definition at line 525 of file alrobotmodel.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h